%global srcname cython
%bcond_with test

Name:           Cython
Version:        0.29.14
Release:        3
Summary:        Language for writing C extensions for Python
License:        Apache 2.0
URL:            https://cython.org/
Source0:        https://github.com/cython/cython/archive/%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  python2-devel python3-devel
BuildRequires:  python2-setuptools python3-setuptools

%if %{with test}
BuildRequires:  gcc-c++
BuildRequires:  python2-coverage python3-coverage
BuildRequires:  python2-numpy python3-numpy
BuildRequires:  python2-jedi python3-jedi
%endif

%global _description \
Cython is a language that makes writing C extensions\
for Python as easy as Python itself.

%description %{_description}

%package -n python2-%{name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{name}}
Provides:       Cython = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       Cython%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:      Cython < %{?epoch:%{epoch}:}%{version}-%{release}

%description -n python2-%{name} %{_description}

Python 2 version.

%package -n python3-%{name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name} %{_description}

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
rm -rf %{buildroot}%{python2_sitelib}/setuptools/tests
rm %{buildroot}%{_bindir}/*

%py3_install
rm -rf %{buildroot}%{python3_sitelib}/setuptools/tests

%if %{with test}
%check
%{__python2} runtests.py -vv
%{__python3} runtests.py -vv
%endif

%files -n python2-%{name}
%license LICENSE.txt COPYING.txt
%doc CHANGES.rst README.rst
%{python2_sitearch}/%{name}-*.egg-info/
%{python2_sitearch}/%{name}/
%{python2_sitearch}/pyximport/
%{python2_sitearch}/%{srcname}.py*

%files -n python3-%{name}
%license LICENSE.txt COPYING.txt
%doc CHANGES.rst README.rst
%{_bindir}/cython
%{_bindir}/cygdb
%{_bindir}/cythonize
%{python3_sitearch}/%{name}-*.egg-info/
%{python3_sitearch}/%{name}/
%{python3_sitearch}/pyximport/
%{python3_sitearch}/%{srcname}.py
%{python3_sitearch}/__pycache__/%{srcname}.*


%changelog
* Thu Sep 17 2020 liuweibo <liuweibo10@huawei.com> - 0.29.14-3
- Fix Source0

* Tue Nov 5 2019 shanshishi <shanshishi@huawei.com> - 0.29.14-1
- Init package
